updated
authorChristian Urban <christian.urban@kcl.ac.uk>
Mon, 08 Nov 2021 02:16:33 +0000
changeset 409 0e55b6313adc
parent 408 95240953bf4c
child 410 5bc7183e865e
updated
core_templates1/README.md
core_templates2/README.md
cws/core_cw01.pdf
cws/core_cw02.pdf
cws/core_cw03.pdf
cws/cw03.pdf
cws/cw04.pdf
cws/cw05.pdf
cws/cw06.pdf
cws/main_cw01.pdf
cws/main_cw02.pdf
cws/main_cw03.pdf
cws/main_cw04.pdf
cws/main_cw05.pdf
mk_sols
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/core_templates1/README.md	Mon Nov 08 02:16:33 2021 +0000
@@ -0,0 +1,3 @@
+#assignment2021scala - Core 1
+
+* [coursework description](https://nms.kcl.ac.uk/christian.urban/core_cw01.pdf)
\ No newline at end of file
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/core_templates2/README.md	Mon Nov 08 02:16:33 2021 +0000
@@ -0,0 +1,3 @@
+#assignment2021scala - Core 1
+
+* [coursework description](https://nms.kcl.ac.uk/christian.urban/core_cw01.pdf)
\ No newline at end of file
Binary file cws/core_cw01.pdf has changed
Binary file cws/core_cw02.pdf has changed
Binary file cws/core_cw03.pdf has changed
Binary file cws/cw03.pdf has changed
Binary file cws/cw04.pdf has changed
Binary file cws/cw05.pdf has changed
Binary file cws/cw06.pdf has changed
Binary file cws/main_cw01.pdf has changed
Binary file cws/main_cw02.pdf has changed
Binary file cws/main_cw03.pdf has changed
Binary file cws/main_cw04.pdf has changed
Binary file cws/main_cw05.pdf has changed
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/mk_sols	Mon Nov 08 02:16:33 2021 +0000
@@ -0,0 +1,22 @@
+#!/bin/bash
+set -e
+
+subdirs=${1:-"core_solution1 core_solution2 core_solution3 main_solution1 main_solution2 main_solution3 main_solution4 main_solution5"} 
+
+for sd in $subdirs; do
+  cd $sd
+  for fl in *.scala; do
+      echo "$sd/$fl"
+      echo "copy to ${sd/solution/templates}/${fl%.scala}.jar"
+      scalac -d ${fl%.scala}.jar $fl
+      cp ${fl%.scala}.jar "../${sd/solution/templates}"
+      hg add "../${sd/solution/templates}/${fl%.scala}.jar"
+  done
+  cd ..
+done
+
+hg commit -m "updated jars"
+
+# producing solutions and templates
+# tar -zcvf templates.tgz pre_templates* main_templates*
+# tar -zcvf solutions.tgz core_solution* main_solution*